#include "CivFeature.h"

CivFeature::CivFeature(const CivGeometry& geom)
	:mGeometry(geom)
{

}

CivFeature::~CivFeature()
{

}

void CivFeature::setGeometry(const CivGeometry& geo)
{
	mGeometry = geo;
}

CivGeometry CivFeature::geometry() const
{
	return mGeometry;
}

void CivFeature::addAttributes(const CivAttributes& attributes)
{
	mAttributes.merge(attributes);
}

std::string CivFeature::params() const
{
	return "";
}
